List webhook deliveries
Lists webhook_deliveries for the authenticated user
GET
/
webhook_deliveries
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const webhookDeliveryListResponse of client.webhookDeliveries.list()) {
console.log(webhookDeliveryListResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.webhook_deliveries.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.WebhookDeliveries.List(context.TODO(), telnyx.WebhookDeliveryListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.webhookdeliveries.WebhookDeliveryListPage;
import com.telnyx.sdk.models.webhookdeliveries.WebhookDeliveryListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
WebhookDeliveryListPage page = client.webhookDeliveries().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.webhook_deliveries.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->webhookDeliveries->list(
filter: [
'attempts' => ['contains' => 'https://fallback.example.com/webhooks'],
'eventType' => 'call_initiated,call.initiated',
'finishedAt' => [
'gte' => '2019-03-29T11:10:00Z', 'lte' => '2019-03-29T11:10:00Z'
],
'startedAt' => [
'gte' => '2019-03-29T11:10:00Z', 'lte' => '2019-03-29T11:10:00Z'
],
'status' => ['eq' => 'delivered'],
'webhook' => ['contains' => 'call.initiated'],
],
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx webhook-deliveries list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/webhook_deliveries \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "f5586561-8ff0-4291-a0ac-84fe544797bd",
"user_id": "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
"record_type": "webhook_delivery",
"webhook": {
"record_type": "event",
"id": "C9C0797E-901D-4349-A33C-C2C8F31A92C2",
"event_type": "call_initiated",
"occurred_at": "2020-08-10T13:02:01.000Z",
"payload": {
"useful": "information"
}
},
"started_at": "2020-08-10T14:00:00.000Z",
"finished_at": "2020-08-10T14:00:05.595Z",
"attempts": [
{
"status": "delivered",
"started_at": "2020-08-10T14:00:05.364Z",
"finished_at": "2020-08-10T14:00:05.595Z",
"http": {
"request": {
"url": "https://fallback.example.com/webhooks",
"headers": [
[
"Accept",
"*/*"
]
]
},
"response": {
"status": 200,
"headers": [
[
"Content-Type",
"text/html"
]
],
"body": "All good."
}
}
},
{
"status": "failed",
"started_at": "2020-08-10T14:00:05.004Z",
"finished_at": "2020-08-10T14:00:05.360Z",
"http": {
"request": {
"url": "https://typo.example.com/webhooks",
"headers": [
[
"Accept",
"*/*"
]
]
},
"response": {
"status": 404,
"headers": [
[
"Content-Type",
"text/html"
],
[
"Pragma",
"no-cache"
]
],
"body": "Oops. Not found."
}
},
"errors": [
75499
]
}
]
}
],
"meta": {
"page_number": 2,
"page_size": 25,
"total_pages": 3,
"total_results": 55
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Consolidated page parameter (deepObject style). Originally: page[number], page[size]
Show child attributes
Show child attributes
Consolidated filter parameter (deepObject style). Originally: filter[status][eq], filter[event_type], filter[webhook][contains], filter[attempts][contains], filter[started_at][gte], filter[started_at][lte], filter[finished_at][gte], filter[finished_at][lte]
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const webhookDeliveryListResponse of client.webhookDeliveries.list()) {
console.log(webhookDeliveryListResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.webhook_deliveries.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.WebhookDeliveries.List(context.TODO(), telnyx.WebhookDeliveryListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.webhookdeliveries.WebhookDeliveryListPage;
import com.telnyx.sdk.models.webhookdeliveries.WebhookDeliveryListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
WebhookDeliveryListPage page = client.webhookDeliveries().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.webhook_deliveries.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->webhookDeliveries->list(
filter: [
'attempts' => ['contains' => 'https://fallback.example.com/webhooks'],
'eventType' => 'call_initiated,call.initiated',
'finishedAt' => [
'gte' => '2019-03-29T11:10:00Z', 'lte' => '2019-03-29T11:10:00Z'
],
'startedAt' => [
'gte' => '2019-03-29T11:10:00Z', 'lte' => '2019-03-29T11:10:00Z'
],
'status' => ['eq' => 'delivered'],
'webhook' => ['contains' => 'call.initiated'],
],
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx webhook-deliveries list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/webhook_deliveries \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "f5586561-8ff0-4291-a0ac-84fe544797bd",
"user_id": "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
"record_type": "webhook_delivery",
"webhook": {
"record_type": "event",
"id": "C9C0797E-901D-4349-A33C-C2C8F31A92C2",
"event_type": "call_initiated",
"occurred_at": "2020-08-10T13:02:01.000Z",
"payload": {
"useful": "information"
}
},
"started_at": "2020-08-10T14:00:00.000Z",
"finished_at": "2020-08-10T14:00:05.595Z",
"attempts": [
{
"status": "delivered",
"started_at": "2020-08-10T14:00:05.364Z",
"finished_at": "2020-08-10T14:00:05.595Z",
"http": {
"request": {
"url": "https://fallback.example.com/webhooks",
"headers": [
[
"Accept",
"*/*"
]
]
},
"response": {
"status": 200,
"headers": [
[
"Content-Type",
"text/html"
]
],
"body": "All good."
}
}
},
{
"status": "failed",
"started_at": "2020-08-10T14:00:05.004Z",
"finished_at": "2020-08-10T14:00:05.360Z",
"http": {
"request": {
"url": "https://typo.example.com/webhooks",
"headers": [
[
"Accept",
"*/*"
]
]
},
"response": {
"status": 404,
"headers": [
[
"Content-Type",
"text/html"
],
[
"Pragma",
"no-cache"
]
],
"body": "Oops. Not found."
}
},
"errors": [
75499
]
}
]
}
],
"meta": {
"page_number": 2,
"page_size": 25,
"total_pages": 3,
"total_results": 55
}
}